
From: Jeff Dike <jdike@addtoit.com>

From: Bodo Stroesser <bstroesser@fujitsu-siemens.com>

Some architectures (e.g. s390) don't have __NR_waitpid.
Thus, it must not be used in arch/um/kernel/tt/ptproxy/proxy.c

Signed-off-by: Bodo Stroesser <bstroesser@fujitsu-siemens.com>
Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/um/kernel/tt/ptproxy/proxy.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletion(-)

diff -puN arch/um/kernel/tt/ptproxy/proxy.c~uml-dont-use-__nr_waitpid-on-arches-which-dont-have-it arch/um/kernel/tt/ptproxy/proxy.c
--- 25/arch/um/kernel/tt/ptproxy/proxy.c~uml-dont-use-__nr_waitpid-on-arches-which-dont-have-it	2005-01-09 23:44:13.115169680 -0800
+++ 25-akpm/arch/um/kernel/tt/ptproxy/proxy.c	2005-01-09 23:44:13.118169224 -0800
@@ -94,7 +94,9 @@ int debugger_syscall(debugger_state *deb
 		debugger->handle_trace = debugger_syscall;
 		return(ret);
 
+#ifdef __NR_waitpid
 	case __NR_waitpid:
+#endif
 	case __NR_wait4:
 		if(!debugger_wait(debugger, (int *) arg2, arg3, 
 				  debugger_syscall, debugger_normal_return, 
@@ -153,7 +155,11 @@ static int parent_syscall(debugger_state
 
 	syscall = get_syscall(pid, &arg1, &arg2, &arg3, &arg4, &arg5);
 		
-	if((syscall == __NR_waitpid) || (syscall == __NR_wait4)){
+	if((syscall == __NR_wait4)
+#ifdef __NR_waitpid
+	   || (syscall == __NR_waitpid)
+#endif
+	){
 		debugger_wait(&parent, (int *) arg2, arg3, parent_syscall,
 			      parent_normal_return, parent_wait_return);
 	}
_
